[android-components](../../../index.md) / [mozilla.components.feature.app.links](../../index.md) / [AppLinksUseCases](../index.md) / [OpenAppLinkRedirect](./index.md)

# OpenAppLinkRedirect

`class OpenAppLinkRedirect` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/app-links/src/main/java/mozilla/components/feature/app/links/AppLinksUseCases.kt#L151)

Open an external app with the redirect created by the [GetAppLinkRedirect](../-get-app-link-redirect/index.md).

This does not do any additional UI other than the chooser that Android may provide the user.

### Functions

| Name | Summary |
|---|---|
| [invoke](invoke.md) | `operator fun invoke(redirect: `[`AppLinkRedirect`](../../-app-link-redirect/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
